## saclib 2.2.8

=== sysdep/doc/user_guide/Makefile ===
#
# FILE
#   Makefile for SACLIB User's Guide.
#

SACSRC = \
saclib.tex\
cAN.tex\
cAsI.tex\
cAsIA.tex\
cAsMA.tex\
cAsRA.tex\
cCFC.tex\
cGCD.tex\
cI.tex\
cISAC.tex\
cLA.tex\
cLP.tex\
cNIWsCGV.tex\
cNIWsGC.tex\
cPAsDIPA.tex\
cPAsI.tex\
cPAsIPA.tex\
cPAsMPA.tex\
cPAsMR.tex\
cPAsPIO.tex\
cPAsRPA.tex\
cPF.tex\
cRRC.tex\
fLIST.tex\
fSPACE.tex

# Files to be made.

guide: ../saclib.dvi ../saclocal.dvi

kwic:  ../sackwic.dvi

all: guide kwic

# The User's guide.

../saclib.dvi: $(SACSRC) saclib.sty saclib.ind
	latex saclib.tex
	latex saclib.tex
	mv saclib.dvi ../saclib.dvi

# The local guide.

../saclocal.dvi: saclocal.tex saclib.sty
	latex saclocal.tex
	latex saclocal.tex
	mv saclocal.dvi ../saclocal.dvi

# The KWIC index.

../sackwic.dvi: sackwic.tex KWIC.tex saclib.sty
	latex sackwic.tex
	mv sackwic.dvi ../sackwic.dvi

KWIC.tex:
	${saclib}/bin/mktexkwic

# The index file.
# Requires 'makeindex'.

saclib.ind: $(SACSRC) saclib.sty
	latex saclib.tex
	latex saclib.tex
	makeindex saclib.idx

# Cleanup.

clean:
	rm *.err *.log *.dvi *.aux *.toc *.lof *.lot *.idx cor[e]

## saclib 2.2.7

=== debian/changelog ===
saclib (2.2.7-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 20 Oct 2020 06:14:01 -0400

saclib (2.2.7-1) unstable; urgency=low

  * Initial release (Closes: #966572).

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 02 Aug 2020 16:14:08 -0400

=== debian/control ===
Source: saclib
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper-compat (= 13), libtool-bin, texlive-latex-base
Standards-Version: 4.5.0
Section: libs
Homepage: https://www.usna.edu/Users/cs/wcbrown/qepcad/B/QEPCAD.html
Vcs-Git: https://salsa.debian.org/science-team/saclib.git
Vcs-Browser: https://salsa.debian.org/science-team/saclib
Rules-Requires-Root: no

Package: libsaclib0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library of C programs for computer algebra (shared library)
 SACLIB is a library of C programs for computer algebra derived from the
 SAC2 system.  It includes algorithms for list processing, arithmetic of
 integers, rational numbers, and polynomials, modular arithmetic, linear
 algebra, and more.
 .
 This package contains the shared library.

Package: libsaclib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsaclib0 (= ${binary:Version}), ${misc:Depends}
Description: library of C programs for computer algebra (development)
 SACLIB is a library of C programs for computer algebra derived from the
 SAC2 system.  It includes algorithms for list processing, arithmetic of
 integers, rational numbers, and polynomials, modular arithmetic, linear
 algebra, and more.
 .
 This package contains the header files and static library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

SOURCE := $(sort $(wildcard src/*.c) src/GC.c)
OBJS := $(patsubst src/%.c, %.lo, $(SOURCE))

%:
	dh $@

override_dh_auto_build: include/sysdep.h src/GC.c libsaclib.la debian/saclib.pc

override_dh_installdocs:
	cd doc/maint_guide; pdflatex maintain.tex; pdflatex maintain.tex
	cd doc/user_guide; pdflatex saclib.tex; pdflatex saclib.tex
	cd doc/user_guide; pdflatex saclocal.tex; pdflatex saclocal.tex
	cd doc/user_guide; pdflatex sackwic.tex; pdflatex sackwic.tex
	dh_installdocs

# The sources include system-dependent definitions.  The Linux versions
# support only x86 and x86_64.  These versions (from the Fedora package)
# should work on any Linux system.
include/sysdep.h:
	cp debian/sysdep.h $@

src/GC.c:
	cp debian/GC.c $@

%.lo: src/%.c
	libtool --mode=compile --tag=CC $(CC) -Iinclude $(CPPFLAGS) $(CFLAGS) \
		-c $<

libsaclib.la: $(OBJS)
	libtool --mode=link --tag=CC $(CC) $(CPPFLAGS) $(LDFLAGS) -o $@ \
		$^ -rpath /usr/lib/$(DEB_HOST_MULTIARCH) -lm

debian/saclib.pc: debian/saclib.pc.in
	sed -e 's|@VERSION[@]|$(DEB_VERSION_UPSTREAM)|' \
		-e 's|@MULTIARCH[@]|$(DEB_HOST_MULTIARCH)|' $< > $@

=== debian/tests/control ===
Test-Command: gcc `pkg-config saclib --cflags` debian/tests/test.c
 `pkg-config saclib --libs` -o test && ./test
Depends: @, build-essential, pkg-config

## saclib 2.2.8

=== debian/changelog ===
saclib (2.2.8-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062878

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 15:40:28 +0000

saclib (2.2.8-6) unstable; urgency=medium

  * debian/copyright
    - Bump my copyright years.
  * debian/Makefile
    - Fix typo; include all object files in the static library
      (Closes: #1015042).

 -- Doug Torrance <dtorrance@debian.org>  Wed, 03 Aug 2022 09:35:39 -0400

saclib (2.2.8-5) unstable; urgency=medium

  * Team upload.
  * Remove B-D on libtool-bin (so cross-depends can be satisfied)
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 06 Jul 2022 19:26:57 +0530

saclib (2.2.8-4) unstable; urgency=medium

  * Team upload.
  * Add Makefile instead of plain libtool
    (Fixes FTCBFS)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 06 Jul 2022 18:16:49 +0530

saclib (2.2.8-3) unstable; urgency=medium

  * debian/*
    - Update my email address; now a Debian Developer.
  * debian/clean
    - Clean up all files generated by pdflatex; using the copies present
      in the upstream source causes build failures with the latest version
      of pdflatex (Closes: #1002261).

 -- Doug Torrance <dtorrance@debian.org>  Sat, 25 Dec 2021 06:16:05 -0500

saclib (2.2.8-2) unstable; urgency=medium

  * debian/clean
    - New file; clean files generated during build.
  * debian/control
    - Update Maintainer to Debian Math Team.
    - Update Vcs-* fields (science-team -> math-team).
  * debian/copyright
    - Update my copyright years.
  * debian/libsaclib-dev.install
    - Sort entries.
  * debian/rules:
    - Don't compile source files containing no code; avoids
      no-code-sections lintian error.
  * debian/source/options
    - New file; ignore changes to TeX output files during build.
  * debian/tests/control
    - Sort Depends.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 20 Nov 2021 17:49:48 -0500

saclib (2.2.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 4.6.0.
  * debian/patches/*.patch
    - Add Forwarded fields.
  * debian/rules
    - Move build of documentation to override_dh_auto_build and drop
      override_dh_installdocs.
  * debian/upstream/metadata
    - Add DEP-12 upstream metadata file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 19 Aug 2021 21:24:35 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: saclib
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>
-Build-Depends: debhelper-compat (= 13), libtool-bin, texlive-latex-base
-Standards-Version: 4.5.0
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Uploaders: Doug Torrance <dtorrance@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), texlive-latex-base
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://www.usna.edu/Users/cs/wcbrown/qepcad/B/QEPCAD.html
-Vcs-Git: https://salsa.debian.org/science-team/saclib.git
-Vcs-Browser: https://salsa.debian.org/science-team/saclib
+Vcs-Git: https://salsa.debian.org/math-team/saclib.git
+Vcs-Browser: https://salsa.debian.org/math-team/saclib
 Rules-Requires-Root: no
 
-Package: libsaclib0
+Package: libsaclib0t64
+Provides: ${t64:Provides}
+Replaces: libsaclib0
+Breaks: libsaclib0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -26,7 +29,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libsaclib0 (= ${binary:Version}), ${misc:Depends}
+Depends: libsaclib0t64 (= ${binary:Version}), ${misc:Depends}
 Description: library of C programs for computer algebra (development)
  SACLIB is a library of C programs for computer algebra derived from the
  SAC2 system.  It includes algorithms for list processing, arithmetic of

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

execute_before_dh_auto_configure:
	cp debian/Makefile $(CURDIR)

execute_after_dh_auto_build: debian/saclib.pc
	cd doc/maint_guide && \
		pdflatex maintain.tex && pdflatex maintain.tex
	cd doc/user_guide  && \
		pdflatex saclib.tex   && pdflatex saclib.tex   && \
		pdflatex saclocal.tex && pdflatex saclocal.tex && \
		pdflatex sackwic.tex  && pdflatex sackwic.tex

debian/saclib.pc: debian/saclib.pc.in
	sed -e 's|@VERSION[@]|$(DEB_VERSION_UPSTREAM)|' \
		-e 's|@MULTIARCH[@]|$(DEB_HOST_MULTIARCH)|' $< > $@

=== debian/tests/control ===
Test-Command: gcc `pkg-config saclib --cflags` debian/tests/test.c
 `pkg-config saclib --libs` -o test && ./test
Depends: build-essential, pkg-config, @

=== debian/watch ===
version=4
https://www.usna.edu/Users/cs/wcbrown/qepcad/INSTALL/IQ.html \
saclib@ANY_VERSION@@ARCHIVE_EXT@
